uudeview (0.5.20-7) unstable; urgency=low

  * QA upload.
  * In autopkgtest fall back to ADT_TMP if AUTOPKGTEST_TMP is unset.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 22 Jul 2016 19:24:30 +0200

uudeview (0.5.20-6) unstable; urgency=low

  * QA upload.
  * Debug failing autopkgtest.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 18 Jul 2016 19:20:42 +0200

uudeview (0.5.20-5) unstable; urgency=low

  * QA upload.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jul 2016 11:43:10 +0200

uudeview (0.5.20-4) experimental; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Switch to 3.0 (quilt) format.
    + 010_xdeview_global_MIME.diff
    + 013_prefer_rename.diff
    + 016_document_-v.diff
    + 017_use_hevea.diff
    + 019_long_headers.diff
    + 022_epsfig.sty.diff
    + 025_CAN-2004-2265.diff
    + 028_suspicious_file.patch
    + 031_do_not_force_overwrite.diff
    + 034_do_not_ignore_special_chars.diff
    + 037_CVE-2008-2266_symlink.diff, modified to not hardcode HAVE_MKSTEMP.
    + 040_add_shared_lib.diff
    + 043_string_format_issue.diff
  * Use dh_install instead of dh_movefiles.
  * Simplify installation, directly reference file in debian/*.install or
    debian/*.manpages instead of copying to debian/tmp in debian rules and
    installing this copy.
  * Convert to dh.
  * Add Homepage field to debian/control.
  * Drop empty xdeview.TODO.
  * Drop b-d on dpkg-dev (>= 1.16).
  * Standards-Version: 3.9.8
  * Suggest default-mta meta-packagage instead of "exim4".
  * Mention yEncoding support in package descriptions. Closes: #506637
  * 046_typoes.diff: Typoes fixed, thanks to lintian.
  * Use different package descriptions for runtime-library and development
    package.
  * Build --with autoreconf.
  * Build with hardening=+all. Enhance 040_add_shared_lib.diff to strip out
    -fPIE -pie from libuu LDFLAGS.
  * Add minimal autopkgtest and run it against just-built binary.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jul 2016 19:41:05 +0200

uudeview (0.5.20-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to debhelper (Closes: #817711)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 22 Jun 2016 19:08:14 +0200

uudeview (0.5.20-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on tcl-dev and tk-dev, not on versioned packages.
  * Add ${misc:Depends}.
  * Add hardening flags.
  * Fix potential security issue (arbitrary string being passed as a format
    string to fprintf).

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 03 May 2013 17:30:45 +0200

uudeview (0.5.20-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ! LaTeX Error: File `a4wide.sty' not found.":
    add texlive-latex-extra to Build-Depends. Thanks to Sebastian Ramacher.
    (Closes: #666325)

 -- gregor herrmann <gregoa@debian.org>  Tue, 01 May 2012 14:36:57 +0200

uudeview (0.5.20-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depends on texlive-latex-recommended and texlive-fonts-recommended.
    (Closes: #526534)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Aug 2009 20:12:07 +0200

uudeview (0.5.20-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fixed a classical tempfile symlink attack vulnerability in libuu.
    Thanks to Nico Golde for the patch. (Closes: #480972)
  * Added a shared library package. (Closes: #216593)
  * Added support for dpkg-buildpackage setting $CFLAGS.
  * Removed no-op maintainer scripts.
  * Replaced the deprecated tetex dependencies with texlive-latex-base.

 -- Marco d'Itri <md@linux.it>  Wed, 21 May 2008 01:34:35 +0200

uudeview (0.5.20-3) unstable; urgency=low

  * Ack NMU.  (closes: Bug#373630)
  * Don't force overwrite mode if auto-rename enabled.  (closes: Bug#378076)
  * Don't ignore special chars when parsing MIME.  (closes: Bug#341440)
  * Fix for #320541 also fixes #242999.  (closes: Bug#242999)
  * Incorporate suspicious-file patch from Peter Muir.  (closes: Bug#166077)
  * Bump standards-version to 3.7.2.
  * Update FSF address.
  * Delete (malformed) end of this changelog.

 -- Chris Hanson <cph@debian.org>  Tue, 15 Aug 2006 00:40:50 -0400

uudeview (0.5.20-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix possible (but highly unlikely) race in temporary file generation
    (CAN-2004-2265), by passing the "x" (O_EXCL) flag to fopen when opening
    such files. (Closes: #320541)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 14 Jun 2006 18:44:05 +0200

uudeview (0.5.20-2) unstable; urgency=high

  * Urgency high for RC bug fix.
  * Fix build problem caused by removal of psfig.sty.  (closes: Bug#266068)
  * Don't need to define _LARGEFILE64_SOURCE.  (closes: Bug#226766)

 -- Chris Hanson <cph@debian.org>  Tue, 17 Aug 2004 15:47:08 -0400

uudeview (0.5.20-1) unstable; urgency=low

  * New upstream version.
    - fixes two buffer overflows (closes: Bug#247137)
    - writes partial files (closes: Bug#165993)
    - new procedure UULoadFileWithPartNo (closes: Bug#234003)
  * Eliminate 2 lintian warnings and 1 lintian error.
  * Apply patch from nget maintainer:
    http://nget.sf.net/patches/uulib-0.5.19-uuinfofile-long-headers.patch

 -- Chris Hanson <cph@debian.org>  Thu, 20 May 2004 00:02:07 -0400

uudeview (0.5.19+beta20030413-2) unstable; urgency=low

  * Use hevea instead of latex2html, now that latter has moved to
    non-free.  (closes: Bug#221348)
  * Pass -fPIC when compiling so that libuu.a can be linked into shared
    library.  (thanks, Marek Habersack)  (closes: Bug#223757)
  * Add description of -v option to uudeview(1).
    (thanks, Peter Muir)  (closes: Bug#165993)

 -- Chris Hanson <cph@debian.org>  Tue, 23 Dec 2003 01:06:12 -0500

uudeview (0.5.19+beta20030413-1) unstable; urgency=low

  * New upstream version:
    - Add +a option that implements alternative auto-rename.
      (closes: Bug#142224)
    - Add error checking to uulib.
      (closes: Bug#151988)
  * Standards version 3.6.1: Update handling of configure arguments and
    CFLAGS in debian/rules.
  * debian/rules: Add necessary definitions for large-file support.
    (closes: Bug#175311)
  * Eliminate random tweaking of -g/-O options in CFLAGS.
    (closes: Bug#165991)
  * Use rename() in preference to copy if possible.
    (closes: Bug#166040)
  * Install needed .h files into libuu-dev.
    (closes: Bug#190365)

 -- Chris Hanson <cph@debian.org>  Sun, 7 Sep 2003 01:05:07 -0400

uudeview (0.5.18-5) unstable; urgency=low

  * Fix bug: code for file-overwrite prompt was inconsistently
    implementing case-insensitive option.  (closes: Bug#154706)
  * Add support for DEB_BUILD_OPTIONS to debian/rules.

 -- Chris Hanson <cph@debian.org>  Mon, 29 Jul 2002 14:43:59 -0400

uudeview (0.5.18-4) unstable; urgency=low

  * build-depends debhelper (>= 4.0.0).

 -- Chris Hanson <cph@debian.org>  Tue, 18 Jun 2002 22:02:03 -0400

uudeview (0.5.18-3) unstable; urgency=low

  * Compile with large file support.  (closes: Bug#148184)
  * Use "debian/compat" and switch to debhelper V4.

 -- Chris Hanson <cph@debian.org>  Sun, 26 May 2002 21:53:42 -0400

uudeview (0.5.18-2) unstable; urgency=medium

  * Make changes to use tk/tcl 8.3 rather than 8.0.
    (closes: Bug#142222)
  * Check rename directory to make sure it exists.
    (closes: Bug#142223)
  * Use DH_COMPAT=3.

 -- Chris Hanson <cph@debian.org>  Sat, 13 Apr 2002 21:04:31 -0400

uudeview (0.5.18-1) unstable; urgency=low

  * New upstream version.
    (closes: Bug#139235, Bug#139997, Bug#141376)

 -- Chris Hanson <cph@debian.org>  Fri, 5 Apr 2002 14:22:51 -0500

uudeview (0.5.17-2) unstable; urgency=low

  * Change priority of xdeview to "extra", to match overrides file.

 -- Chris Hanson <cph@debian.org>  Thu, 14 Mar 2002 12:15:05 -0500

uudeview (0.5.17-1) unstable; urgency=low

  * New upstream version.
  * Upstream added support for yEnc.  (closes: Bug#136958)

 -- Chris Hanson <cph@debian.org>  Tue, 12 Mar 2002 01:42:31 -0500

uudeview (0.5.15-4) unstable; urgency=low

  * Work around problem with tcl8.0-dev on SPARC.  This was reported as
    bug 109783; the bug itself will be reassigned to tcl8.0-dev.

 -- Chris Hanson <cph@debian.org>  Fri, 24 Aug 2001 13:20:01 -0400

uudeview (0.5.15-3) unstable; urgency=low

  * Fix upstream bug in new renaming mechanism.  (closes: Bug#109189)
  * Update to standards-version 3.5.6.

 -- Chris Hanson <cph@debian.org>  Sun, 19 Aug 2001 00:46:06 -0400

uudeview (0.5.15-2) unstable; urgency=low

  * Add build dependency on tetex-extra.  (closes: Bug#101281)

 -- Chris Hanson <cph@debian.org>  Mon, 18 Jun 2001 07:43:58 -0400

uudeview (0.5.15-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Wed, 13 Jun 2001 22:46:30 -0400

uudeview (0.5.13-7) unstable; urgency=low

  * Add build dependency on transfig.  (closes: Bug#90983)
  * Add -R option to uudeview to provide automatic renaming.  Change -i
    option to imply -R rather than -o.
  * Eliminate most compilation warnings, some of which were bugs.

 -- Chris Hanson <cph@debian.org>  Sat, 24 Mar 2001 23:51:59 -0500

uudeview (0.5.13-6) unstable; urgency=low

  * Add another package to provide the underlying libuu library and its
    documentation.  (closes: Bug#53963, Bug#80201)

 -- Chris Hanson <cph@debian.org>  Fri, 23 Mar 2001 22:11:32 -0500

uudeview (0.5.13-5) unstable; urgency=low

  * Restructure to break into two packages.  uudeview package now contains
    only the command-line programs, while new xdeview package contains
    xdeview.  (closes: Bug#54300, Bug#90708)

 -- Chris Hanson <cph@debian.org>  Fri, 23 Mar 2001 00:23:31 -0500

uudeview (0.5.13-4) unstable; urgency=low

  * Patch xdeview to know where Debian MIME info is kept.
    (closes: Bug#47561)
  * Fix buffer overrun that was previously reported to upstream
    maintainer.  As far as I can tell, the upstream maintainer is no
    longer supporting the software; I sent him email a month ago and have
    had no response.  (closes: Bug#41428)

 -- Chris Hanson <cph@debian.org>  Tue, 27 Feb 2001 00:20:26 -0500

uudeview (0.5.13-3) unstable; urgency=low

  * New maintainer.  (closes: Bug#83305)
  * Acknowledge fixes from NMU release.
    (closes: Bug#11390, Bug#12765, Bug#15718, Bug#16770, Bug#29757)
    (closes: Bug#36020, Bug#42237, Bug#43583)

 -- Chris Hanson <cph@debian.org>  Wed, 21 Feb 2001 15:36:24 -0500

uudeview (0.5.13-2.1) unstable; urgency=low

  * Non maintainer upload with permission of maintainer (Fixes: #42237).
  * Removed ugly hack -L/usr/lib/tcl7.6 -L/usr/lib/tk4.2 from configure.
  * Rewrote debian/rules using debhelper.  This implies:
    - strip .note and .comment from binaries.
    - strip uuwish (Fixes: #15718).
  * Compile with -O2 -g -Wall, with some tricks (configure.in does not
    like this).
  * Upgrade to Standards-Version: 3.0.1 (Fixes: #16770):
    - Install man pages to /usr/share/man
    - Install documentation in /usr/share/doc
    - debian/copyright: GPL is in /usr/share/common-licenses now.
  * Added man page for uuwish(1).
  * Install HOWTO and README in /usr/share/doc/uudeview.
  * Remove postinst and postrm, which are created by debhelper (which
    works much better).
  * Adapted to Tk 8.2 (Fixes: #43583).
    - Tk_Main is a macro which has to be used in one line.
    - Search for Tk_Init() instead of Tk_Main() in configure.
  * There is now a problem with the "About" GIF in xdeview with Tcl/Tk 8.2 
    so we use Tcl/Tk 8.0 at the moment!
  * Recompiled with Tcl/Tk 8.0 (Fixes: #29757, #36020).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 16 Sep 1999 18:48:47 +0200

uudeview (0.5.13-2) unstable; urgency=low

  * New maintainer

  * Changed configure so xdeview (the TK front end) gets built

  * Added support for update-menu

  * Removed support for uudecode alternative, since the sharutils package
  *	doesn't support it.

  * Compiled for libc6
	
 -- Steven J. Phillips <sjp@siliconlogic.com>  Tue, 30 Sep 1997 00:27:54 -0500
